Subject: RE: [Sip] Transport parameter in request URI

From: "Vijay Gaur" <[email-masked]>
Date: Thu, 5 Feb 2004 09:58:03 -0500

Hi,
   My setup is like this:    

      UA1----->(TLS)----->Proxy------>(UDP)--->UA2

Here UA1 makes call and dialog gets established between UA1 and UA2. Contact of UA1 contains transport parameter tls (Contact: [email-masked];transport=tls). Now when UA2 generates BYE it doesn't put any transport parameter in request URI (BYE sip:ua1.com SIP/2.0). Because of no transport parameter BYE doesn't get 200OK.
Now my question is which transport (TLS or UDP) UA2 should put in request URI?
RFC 3261 says that in request message agent should put transport parameter in request URI with transport which it is using.
If I put transport=udp in request URI UA2 BYE doesn't get 200OK, but in case of transport=tls it works fine.

I appreciate your help.
Thanks,
Vijay
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Vijay
Gaur
Sent: Thursday, February 05, 2004 9:52 AM
To: [email-masked]
Subject: [Sip] Transport parameter in request URI

Hi,
   My setup is like this:    

      UA1----->(TLS)----->Proxy------>(UDP)--->UA2

Here UA1 makes call and dialog gets established between UA1 and UA2. Contact of UA2 contains transport parameter tls (Contact: [email-masked];transport=tls). Now when UA2 generates BYE it doesn't put any transport parameter in request URI (BYE sip:ua1.com SIP/2.0). Because of no transport parameter BYE doesn't get 200OK.
Now my question is which transport (TLS or UDP) UA2 should put in request URI?
RFC 3261 says that in request message agent should put transport parameter in request URI with transport which it is using.
If I put transport=udp in request URI UA2 BYE doesn't get 200OK, but in case of transport=tls it works fine.

I appreciate your help.
Thanks,
Vijay

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip